<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.webservices">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="modify-wsdl-address,statistics-enabled,wsdl-host,wsdl-path-rewrite-rule,wsdl-port,wsdl-secure-port,wsdl-uri-scheme"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.webservices"/>
    </annotation>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="wsdl-path-rewrite-rule" nillable="true"/>
        <param name="modify-wsdl-address" nillable="true"/>
        <param name="extension" default="org.jboss.as.webservices"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="webservices"/>
        <param name="wsdl-secure-port" nillable="true"/>
        <param name="wsdl-port" nillable="true"/>
        <param name="statistics-enabled" nillable="true"/>
        <param name="wsdl-host" nillable="true"/>
        <param name="wsdl-uri-scheme" nillable="true"/>
    </params>
    <packages>
        <package name="org.jboss.as.webservices"/>
    </packages>
</feature-spec>